AM261x MCU+ SDK: UART_Params Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
UART_Params Struct Reference
APIs for SOC Specific Device Drivers » APIs for UART

## Detailed Description

UART Parameters.

UART Parameters are used to with the UART_open() call. Default values for these parameters are set using UART_Params_init().

If NULL is passed for the parameters, UART_open() uses default parameters.

See also
  UART_Params_init()

## Data Fields
uint32_t | baudRate
uint32_t | dataLength
uint32_t | stopBits
uint32_t | parityType
uint32_t | readMode
uint32_t | readReturnMode
uint32_t | writeMode
UART_CallbackFxn | readCallbackFxn
UART_CallbackFxn | writeCallbackFxn
uint32_t | hwFlowControl
uint32_t | hwFlowControlThr
uint32_t | transferMode
uint32_t | intrNum
uint8_t | intrPriority
uint32_t | skipIntrReg
int32_t | uartDmaIndex
uint32_t | operMode
uint32_t | rxTrigLvl
uint32_t | txTrigLvl
uint32_t | rxEvtNum
uint32_t | txEvtNum
uint32_t | timeGuardVal

## Field Documentation

## ◆ baudRate

uint32_t UART_Params::baudRate

Baud rate for UART

## ◆ dataLength

uint32_t UART_Params::dataLength

Data length for UART. Refer UART_DataLength

## ◆ stopBits

uint32_t UART_Params::stopBits

Stop bits for UART. Refer UART_StopBits

## ◆ parityType

uint32_t UART_Params::parityType

Parity bit type for UART. Refer UART_Parity

## ◆ readMode

uint32_t UART_Params::readMode

Read blocking or Callback mode. Refer UART_TransferMode

## ◆ readReturnMode

uint32_t UART_Params::readReturnMode

Receive return mode Refer UART_ReadReturnMode

## ◆ writeMode

uint32_t UART_Params::writeMode

Write blocking or Callback mode. Refer UART_TransferMode

## ◆ readCallbackFxn

UART_CallbackFxn UART_Params::readCallbackFxn

Read callback function pointer

## ◆ writeCallbackFxn

UART_CallbackFxn UART_Params::writeCallbackFxn

Write callback function pointer

## ◆ hwFlowControl

uint32_t UART_Params::hwFlowControl

## ◆ hwFlowControlThr

uint32_t UART_Params::hwFlowControlThr

< Enable HW Flow Control Hardware flow Control threshold, greater than or equal to the RX FIFO trigger level UART_RxTrigLvl

## ◆ transferMode

uint32_t UART_Params::transferMode

Transfer mode UART_ConfigMode

## ◆ intrNum

uint32_t UART_Params::intrNum

Peripheral interrupt number

## ◆ intrPriority

uint8_t UART_Params::intrPriority

Interrupt priority

## ◆ skipIntrReg

uint32_t UART_Params::skipIntrReg

Skips Driver registering interrupt

## ◆ uartDmaIndex

int32_t UART_Params::uartDmaIndex

Index of DMA instance used by UART Driver. This index will be set by SysCfg according to the DMA driver chosen. The UART driver uses this index to do an UART_lld_initDma inside the UART_open if the DMA mode is enabled

## ◆ operMode

uint32_t UART_Params::operMode

Refer UART_OperMode for valid values

## ◆ rxTrigLvl

uint32_t UART_Params::rxTrigLvl

Refer UART_RxTrigLvl for valid values

## ◆ txTrigLvl

uint32_t UART_Params::txTrigLvl

Refer UART_TxTrigLvl for valid values

## ◆ rxEvtNum

uint32_t UART_Params::rxEvtNum

DMA Event number used for UART Rx

## ◆ txEvtNum

uint32_t UART_Params::txEvtNum

DMA Event number used for UART Tx

## ◆ timeGuardVal

uint32_t UART_Params::timeGuardVal